# Retrieve Access Token

Launch stage: GA

`GET /api/2.1/unity-catalog/public/data_sharing_activation/{activation_url}`

Retrieve access token with an activation url.
 This is a public API without any authentication.

API scopes: sharing

## Path parameters

- `activation_url` (string, optional)
  The one time activation url. It also accepts activation token.

## Returns

- `shareCredentialsVersion` (int32, optional)
  These field names must follow the delta sharing protocol.
- `bearerToken` (string, optional)
  The token used to authorize the recipient.
- `endpoint` (string, optional)
  The endpoint for the share to be used by the recipient.
- `expirationTime` (string, optional)
  Expiration timestamp of the token in epoch milliseconds.

## Response

```json
{
  "shareCredentialsVersion": 0,
  "bearerToken": "string",
  "endpoint": "string",
  "expirationTime": "string"
}
```

